summaryrefslogtreecommitdiffstats
path: root/source/a/pciutils/pciutils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/pciutils/pciutils.SlackBuild')
-rwxr-xr-xsource/a/pciutils/pciutils.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/source/a/pciutils/pciutils.SlackBuild b/source/a/pciutils/pciutils.SlackBuild
index 183c7adde..b3425b6a9 100755
--- a/source/a/pciutils/pciutils.SlackBuild
+++ b/source/a/pciutils/pciutils.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,12 +21,21 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-3.1.3}
-ARCH=${ARCH:-x86_64}
+VERSION=${VERSION:-$(echo pciutils-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-pciutils
@@ -46,7 +55,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf pciutils-$VERSION
-tar xvf $CWD/pciutils-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/pciutils-$VERSION.tar.?z* || exit 1
cd pciutils-$VERSION
chown -R root:root .
@@ -64,7 +73,7 @@ sh update-pciids.sh
zcat $CWD/pciutils.ids.dest.diff.gz | patch -p1 --verbose || exit 1
mkdir -p $PKG/usr/sbin
cat update-pciids.sh > $PKG/usr/sbin/update-pciids
-chmod 755 $PKG/usr/sbin/update-pciids
+chmod 0755 $PKG/usr/sbin/update-pciids
make \
PREFIX=/usr \
@@ -81,7 +90,7 @@ make install install-lib \
MANDIR=/usr/man \
DESTDIR=$PKG
-# Do not compress pci.ids - hal-0.5.11 needs it uncompressed
+# Do not compress pci.ids - hal needs it uncompressed
( cd $PKG/usr/share ; gzip -d pci.ids.gz )
# Remove the update-pciids script that 'make install' placed
rm -f $PKG/sbin/update-pciids